use crate::prelude::*;

pub fn add_player(mut commands: Commands) {
    commands
        .spawn()
        .insert(Player)
        .insert(Name("Player 1".to_string()));
}

pub fn greet_player(
    query: Query<&Name, With<Player>>,
    time: Res<Time>,
    mut timer: ResMut<GreetTimer>,
) {
    if timer.0.tick(time.delta()).just_finished() {
        for name in query.iter() {
            println!("Hello, {}!", name.0);
        }
    }
}
